| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations | Variables
laywin.h File Reference

## Classes

class | wxLayoutAlgorithm
| wxLayoutAlgorithm implements layout of subwindows in MDI or SDI frames. More...
class | wxSashLayoutWindow
| wxSashLayoutWindow responds to OnCalculateLayout events generated by wxLayoutAlgorithm. More...
class | wxQueryLayoutInfoEvent
| This event is sent when wxLayoutAlgorithm wishes to get the size, orientation and alignment of a window. More...
class | wxCalculateLayoutEvent
| This event is sent by wxLayoutAlgorithm to calculate the amount of the remaining client area that the window should occupy. More...

## Enumerations

enum | wxLayoutOrientation { wxLAYOUT_HORIZONTAL, wxLAYOUT_VERTICAL }
| Enumeration used by wxLayoutAlgorithm. More...
enum | wxLayoutAlignment { wxLAYOUT_NONE, wxLAYOUT_TOP, wxLAYOUT_LEFT, wxLAYOUT_RIGHT, wxLAYOUT_BOTTOM }
| Enumeration used by wxLayoutAlgorithm. More...

## Variables

wxEventType | wxEVT_QUERY_LAYOUT_INFO
wxEventType | wxEVT_CALCULATE_LAYOUT

## Enumeration Type Documentation

enum wxLayoutAlignment

Enumeration used by wxLayoutAlgorithm.

Enumerator:

  wxLAYOUT_NONE |
  wxLAYOUT_TOP |
  wxLAYOUT_LEFT |
  wxLAYOUT_RIGHT |
  wxLAYOUT_BOTTOM |

enum wxLayoutOrientation

Enumeration used by wxLayoutAlgorithm.

Enumerator:

  wxLAYOUT_HORIZONTAL |
  wxLAYOUT_VERTICAL |

## Variable Documentation

wxEventType wxEVT_CALCULATE_LAYOUT

wxEventType wxEVT_QUERY_LAYOUT_INFO